All Classes Files Functions Typedefs Groups Pages
NexHardware.h File Reference
`#include <Arduino.h>`
`#include "NexConfig.h"`
`#include "NexTouch.h"`

Go to the source code of this file.

## Functions

bool | nexInit (void)
void | nexLoop (NexTouch *nex_listen_list[])
bool | recvRetNumber (uint32_t *number, uint32_t timeout=100)
uint16_t | recvRetString (char *buffer, uint16_t len, uint32_t timeout=100)
void | sendCommand (const char *cmd)
bool | recvRetCommandFinished (uint32_t timeout=100)

## Detailed Description

The definition of base API for using Nextion.

Author
  Wu Pengfei (email:pengf.nosp@m.ei.w.nosp@m.u@ite.nosp@m.ad.c.nosp@m.c)

Date
  2015/8/11

Copyright
  Copyright (C) 2014-2015 ITEAD Intelligent Systems Co., Ltd.
  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.